require "fluent/plugin/version"
require "socket"

class InHostNameAdder < Fluent::TailInput
  Fluent::Plugin.register_input('in_host_name_adder', self)

  def parse_line(line)
    super internal_ip_address_or_hostname + line
  end

  private

  def internal_ip_address_or_hostname
    hostname = Socket.gethostbyname(ENV["HOSTNAME"])
#    "internalIpAddr:#{hostent[3].unpack("C4").join('.')}\t"
    "#{hostent[3].unpack("C4").join('.')}\t"
  rescue => e
    hostname = ENV["HOSTNAME"] || `hostname`.chomp
#    "hostname:#{hostname}\t"
    "#{hostname}\t"
  end
end
